net.sf.jasperreports.charts

## Interface JRGanttSeries

- All Known Implementing Classes:
    JRBaseGanttSeries, JRDesignGanttSeries, JRFillGanttSeries

      public interface JRGanttSeries

  Represents the series for the Gantt dataset.
  Version:
    $Id: JRGanttSeries.java 6995 2014-04-01 11:26:53Z shertage $
  Author:
    Peter Risko (peter@risko.hu)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRExpression` | `getEndDateExpression()`
    `JRHyperlink` | `getItemHyperlink()` Returns the hyperlink specification for chart items.
    `JRExpression` | `getLabelExpression()`
    `JRExpression` | `getPercentExpression()`
    `JRExpression` | `getSeriesExpression()`
    `JRExpression` | `getStartDateExpression()`
    `JRExpression` | `getSubtaskExpression()`
    `JRExpression` | `getTaskExpression()`

- - ### Method Detail

    - #### getSeriesExpression

          JRExpression getSeriesExpression()

      Returns:
        the expression of the series name

    - #### getTaskExpression

          JRExpression getTaskExpression()

      Returns:
        the expression of the task name

    - #### getSubtaskExpression

          JRExpression getSubtaskExpression()

      Returns:
        the expression of the subtask name

    - #### getStartDateExpression

          JRExpression getStartDateExpression()

      Returns:
        the start date expression

    - #### getEndDateExpression

          JRExpression getEndDateExpression()

      Returns:
        the end date expression

    - #### getPercentExpression

          JRExpression getPercentExpression()

      Returns:
        the task percent expression

    - #### getLabelExpression

          JRExpression getLabelExpression()

      Returns:
        the label expression

    - #### getItemHyperlink

          JRHyperlink getItemHyperlink()

      Returns the hyperlink specification for chart items.

      The hyperlink will be evaluated for every chart item and an image map will be created for the chart.

      Returns:
        hyperlink specification for chart items

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com